class Hack:
    numInstances = 0                         # Śledzenie przekazanych klas
    def __init__(self):
        Hack.numInstances += 1
    def printNumInstances(cls):
        print('Liczba instancji:', cls.numInstances, cls)
    printNumInstances = classmethod(printNumInstances)

class Sub(Hack):
    def printNumInstances(cls):              # Przeciążenie metody klasy
        print('Coś ekstra...', cls)         # Ale z wywołaniem oryginału
        Hack.printNumInstances()
    printNumInstances = classmethod(printNumInstances)

class Other(Hack): pass                      # Dziedziczenie metody klasy

